<template>
    <div  class="legend-panel">
        <h3 class="text-center div_title">Légende</h3>
        <div class="container-form">
            <div v-for="layer of getMapService().getOrderedLayerList()" :key="layer.id">
                <LayerLegend :layer="layer"></LayerLegend>
            </div>
        </div>
    </div>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
import Component from 'vue-class-component';
import LayerLegend from '@/components/plugins/legend/LayerLegend.vue';
import PluginComponent from '@/components/plugins/PluginComponent';

@Component({
  props: {
  },
  components: {
    LayerLegend,
  },
})
export default class LegendPlugin extends PluginComponent {
  static ID = 'LegendPlugin';

  mounted() {
    console.log('LegendPlugin Mounted');
  }
}
</script>

<style scoped lang="less">
@import "../../../styles/variables.less";

.legend-panel{
    height: 100%;
/*    overflow-y: auto;*/
}

</style>
